Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Functions | Variables
roughtime.h File Reference
`#include <array>`
`#include <chrono>`
`#include <vector>`
`#include <botan/ed25519.h>`

Go to the source code of this file.

## Classes
class | Botan::Roughtime::Chain
class | Botan::Roughtime::Link
class | Botan::Roughtime::Nonce
class | Botan::Roughtime::Response
class | Botan::Roughtime::Roughtime_Error
struct | Botan::Roughtime::Server_Information

## Namespaces
namespace | Botan
namespace | Botan::Roughtime

## Functions
std::array< uint8_t, request_min_size > | Botan::Roughtime::encode_request (const Nonce &nonce)
Nonce | Botan::Roughtime::nonce_from_blind (const std::vector< uint8_t > &previous_response, const Nonce &blind)
std::vector< uint8_t > | Botan::Roughtime::online_request (const std::string &uri, const Nonce &nonce, std::chrono::milliseconds timeout)
std::vector< Server_Information > | Botan::Roughtime::servers_from_str (const std::string &str)

## Variables
const unsigned | Botan::Roughtime::request_min_size = 1024